TopicConnection
Date: 2015-09-19

javax.jms

## Interface TopicConnection

- All Superinterfaces:
    Connection
  All Known Subinterfaces:
    XATopicConnection

      public interface TopicConnection
      extends Connection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionConsumer` | `createConnectionConsumer(Topic topic, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
    `TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createTopicSession

          TopicSession createTopicSession(boolean transacted,
                                        int acknowledgeMode)
                                          throws JMSException

      Throws:
        `JMSException`

    - #### createConnectionConsumer

          ConnectionConsumer createConnectionConsumer(Topic topic,
                                                    java.lang.String messageSelector,
                                                    ServerSessionPool sessionPool,
                                                    int maxMessages)
                                                      throws JMSException

      Throws:
        `JMSException`

    - #### createDurableConnectionConsumer

          ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                           java.lang.String subscriptionName,
                                                           java.lang.String messageSelector,
                                                           ServerSessionPool sessionPool,
                                                           int maxMessages)
                                                             throws JMSException

      Specified by:
        `createDurableConnectionConsumer` in interface `Connection`
      Throws:
        `JMSException`